#include <stdio.h>
#include <math.h>
long long a[100000000];
int main(){
	long long n,x,duz=0,levi,desni,mina;
	scanf("%lld%lld",&n,&x);
	levi=x;
	desni=x;
	for(int i=0;i<n;i++){
	scanf("%lld",&a[i]);
	if(a[i]<x)if(a[i]<levi)levi=a[i];
	if(a[i]>x)if(a[i]>desni)desni=a[i];
	}
	levi=abs(levi);
	desni=abs(desni);
	if(levi<desni)mina=2*abs((levi-x))+abs((desni-x));
	if(levi>desni)mina=2*abs((desni-x))+abs((levi-x));
	if(desni==levi)mina=3*abs((desni-x));
	printf("%lld",mina);
	return 0;	
}